Index: advanced/platform/designs/form.tpl
===================================================================
--- advanced/platform/designs/form.tpl	(revision 14184)
+++ advanced/platform/designs/form.tpl	(working copy)
@@ -51,7 +51,7 @@
 
 					<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/grey_pix.gif" width="100%" height="1" align="absmiddle" alt="" /><br /><br />
 
-					<form method="post" action="<inp2:m_FormAction m_cat_id="0" m_cat_page="1"/>">
+					<form method="post" action="<inp2:m_FormAction m_cat_id="0" m_cat_page="1"/>" enctype="multipart/form-data">
 
 						<table class="form-data fullwidth">
 							<inp2:formflds_PrintList render_as="form_field" SourcePrefix="formsubs" per_page="-1"/>
Index: advanced/platform/elements/dynamic_forms.elm.tpl
===================================================================
--- advanced/platform/elements/dynamic_forms.elm.tpl	(revision 14184)
+++ advanced/platform/elements/dynamic_forms.elm.tpl	(working copy)
@@ -34,6 +34,15 @@
 	<inp2:SubmissionTag tag="PredefinedOptions" field="$field" block="form_radio_item" selected="checked"/>
 </inp2:m_DefineElement>
 
+<inp2:m_DefineElement name="form_field_upload">
+	<input type="file" name="<inp2:CustomInputName/>" id="<inp2:CustomInputName/>" <inp2:m_param name="field_params" />/>
+	<inp2:m_ifnot check="SubmissionTag" tag='Field' equals_to="" db="db">
+		(<a href="<inp2:SubmissionTag tag='Field' format='full_url'/>" target="_blank"><inp2:SubmissionTag tag="Field"/></a>)
+	</inp2:m_ifnot>
+
+	<input type="hidden" name="<inp2:CustomInputName/>[upload]" id="<inp2:CustomInputName/>[upload]" value="<inp2:SubmissionTag tag='Field'/>"/>
+</inp2:m_DefineElement>
+
 <inp2:m_DefineElement name="form_field">
 	<tr>
 		<td class="field-name">
Index: default/designs/form.tpl
===================================================================
--- default/designs/form.tpl	(revision 14184)
+++ default/designs/form.tpl	(working copy)
@@ -31,7 +31,7 @@
 					<div class="bg-contacts-up">
 						<div class="bg-contacts-down">
 
-							<form method="post" action="<inp2:m_Link m_cat_id="0" m_cat_page="1"/>">
+							<form method="post" action="<inp2:m_Link m_cat_id="0" m_cat_page="1"/>" enctype="multipart/form-data">
 							<inp2:formsubs_PresetFormFields/>
 
 							<inp2:m_if check="formsubs_HasError" field="any">
Index: default/elements/dynamic_forms.elm.tpl
===================================================================
--- default/elements/dynamic_forms.elm.tpl	(revision 14184)
+++ default/elements/dynamic_forms.elm.tpl	(working copy)
@@ -50,6 +50,17 @@
 </em>
 </inp2:m_DefineElement>
 
+<inp2:m_DefineElement name="form_field_upload">
+<em>
+	<input type="file" name="<inp2:CustomInputName/>" id="<inp2:CustomInputName/>" <inp2:m_param name="field_params" />/>
+	<inp2:m_ifnot check="SubmissionTag" tag='Field' equals_to="" db="db">
+		(<a href="<inp2:SubmissionTag tag='Field' format='full_url'/>" target="_blank"><inp2:SubmissionTag tag="Field"/></a>)
+	</inp2:m_ifnot>
+
+	<input type="hidden" name="<inp2:CustomInputName/>[upload]" id="<inp2:CustomInputName/>[upload]" value="<inp2:SubmissionTag tag='Field'/>"/>
+</em>
+</inp2:m_DefineElement>
+
 <inp2:m_DefineElement name="form_field">
 <p>
 	<label for="<inp2:Field name='FieldName'/>" <inp2:m_if check="SubmissionTag" tag="HasError">class="red"</inp2:m_if>>
